<?xml version="1.0" encoding="UTF-8"?>

<book xmlns:xi="http://www.w3.org/2001/XInclude">
  <bookinfo>
    <title>Synopsis Reference Manual</title>

    <releaseinfo>Version 0.11</releaseinfo>
  </bookinfo>
  <chapter id="concepts">
    <title>Concepts</title>
  </chapter>
  <chapter id="cxx-reference">
    <title>C++ API Reference</title>
    <abstract>Abstract explaining the C++ API reference.</abstract>
    <xi:include href="Cxx-API.xml">
      <xi:fallback><para>The generated Cxx reference...</para></xi:fallback>
    </xi:include>
    <index type="types">
      <title>Types</title>
    </index>
    <index type="functions">
      <title>Functions</title>
    </index>
  </chapter>
  <chapter id="python-reference">
    <title>Python API Reference</title>
    <abstract>Abstract explaining the Python API reference.</abstract>
    <xi:include href="IR.xml">
      <xi:fallback><para>The generated IR reference...</para></xi:fallback>
    </xi:include>
    <xi:include href="ASG.xml">
      <xi:fallback><para>The generated ASG reference...</para></xi:fallback>
    </xi:include>
    <xi:include href="Processor.xml">
      <xi:fallback><para>The generated Processor reference...</para></xi:fallback>
    </xi:include>
    <xi:include href="Processors.xml">
      <xi:fallback><para>The generated Processors reference...</para></xi:fallback>
    </xi:include>
    <xi:include href="Parsers.xml">
      <xi:fallback><para>The generated Parsers reference...</para></xi:fallback>
    </xi:include>
    <xi:include href="Formatters-HTML.xml">
      <xi:fallback><para>The generated HTML reference...</para></xi:fallback>
    </xi:include>
    <xi:include href="Formatters-DocBook.xml">
      <xi:fallback><para>The generated DocBook reference...</para></xi:fallback>
    </xi:include>
    <xi:include href="Formatters-SXR.xml">
      <xi:fallback><para>The generated SXR reference...</para></xi:fallback>
    </xi:include>
    <index type="types">
      <title>Types</title>
    </index>
    <index type="functions">
      <title>Functions</title>
    </index>
    </chapter>
</book>
